#!/bin/bash

# $1 - revision number to checkout.
: ${1?"You must either provide desired revision number \"X\" to checkout: `basename $0` X
                                or fetch the latest revision by: `basename $0` latest"}

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
name=frinika

if [[ $1 == "latest" ]] ; then
revision=HEAD
else
revision=$1
fi

pushd "$tmp" >/dev/null
echo "Fetching SVN revision: $1"
svn export -r$revision https://frinika.svn.sourceforge.net/svnroot/frinika/frinika/trunk $name |tee $name.stdout
revision=$(cat $name.stdout|grep "Exported revision"|sed 's|[^0-9]*||g')
echo "Fetched SVN revision: $revision"
mv $name $name-$revision
rm -f $name.stdout
pushd $name-$revision >/dev/null
# Remove the nonfree software
rm -f lib/MRJAdapter*
# Remove nonfree soundfont(s)
rm -f soundfonts/*.{sf2,SF2}
popd >/dev/null
tar jcf "$pwd"/$name-$revision.tar.bz2 $name-$revision
echo "Written: $name-$revision.tar.bz2"
popd >/dev/null
